<template>
  <div>
<!-- select 2 demo -->
    <b-modal
      id="modal-editTaxe"
      title="Editar Valor de Impuesto"
      hide-footer
    >
      <b-form>
        <b-form-group
          label="Valor del impuesto (%)"
          label-for="value"
          
        >
          <b-form-input
            id="value"
            type="number"
            v-model="formData.value"
            placeholder="Valor del impuesto"
          />
        </b-form-group>
        
        <b-button  variant="primary" @click="submit"  class="ml-1">
            Guardar
        </b-button>
         <b-button  variant="outline-secondary" @click="cancel"  class="ml-1">
            Cancelar
        </b-button>
      </b-form>
    </b-modal>
  </div>
    
</template>

<script>
import BCardCode from '@core/components/b-card-code'
import {
  BButton, BModal, VBModal, BForm, BFormInput, BFormGroup, BCardText,BFormDatepicker
} from 'bootstrap-vue'
import Ripple from 'vue-ripple-directive'

export default {
    props:{
        id:{
            type:Number,
         
        }
    },
  components: {
    BCardCode,
    BButton,
    BModal,
    BForm,
    BFormInput,
    BCardText,
    BFormGroup,
    BFormDatepicker,
  },
  directives: {
    'b-modal': VBModal,
    Ripple,
  },
  data() {
    return {
      formData:{
        id:'',
        value:''
      },
      defaultFormData:{
        id:'',
        value:''
      }
        
    }
  },
  methods:{
      submit(){
        this.formData.id=this.id
        this.formData.value=parseFloat(this.formData.value)
        this.$swal({
            title: '¿Está seguro de guardar los cambios?',
            text: "No podrás revertir esto!",
            icon: 'warning',
            showCancelButton: true,
            confirmButtonText: 'Si, Guardar!',
            customClass: {
              confirmButton: 'btn btn-primary',
              cancelButton: 'btn btn-outline-danger ml-1',
            },
            buttonsStyling: false,

            }).then(result => {
              if (result.value) {
                this.$http.post("taxe/update", this.formData).then((res) => {
                  if (res.data.message === "modificado") {
                    this.$swal({
                          icon: 'success',
                          title: 'Guardado!',
                          text: 'El registro ha sido modificado.',
                          customClass: {
                            confirmButton: 'btn btn-success',
                          },
                        })
                    this.$bvModal.hide('modal-editTaxe')
                    this.formData = { ...this.defaultFormData };
                    this.$emit('success', true)
                  }else{
                    this.$swal({
                      title: 'Error!',
                      text: ' No se pudo modificar!',
                      icon: 'error',
                      customClass: {
                        confirmButton: 'btn btn-primary',
                      },
                      buttonsStyling: false,
                    })
                  }
                }).catch((error) => {
                  console.log(error);
                });
              } else if (result.dismiss === 'cancel') {
                this.$swal({
                  title: 'Cancelado',
                  text: 'No se registraron cambios :)',
                  icon: 'error',
                  customClass: {
                    confirmButton: 'btn btn-success',
                  },
                })
                this.formData = { ...this.defaultFormData };
                this.$bvModal.hide('modal-editTaxe')
              }
            })
        
      },
      cancel(){
        this.formData = { ...this.defaultFormData };
        this.$bvModal.hide('modal-editTaxe')
      }
  }
}
</script>

<style lang="scss">
@import '@core/scss/vue/libs/vue-select.scss';
</style>
